iOS高德地图SDK(3D) V11.2.0001

Instance Methods | Properties | List of all members
MAAnimatedAnnotation Class Reference

`#import <MAAnimatedAnnotation.h>`

Inheritance diagram for MAAnimatedAnnotation:

## Instance Methods
(MAAnnotationMoveAnimation *) | - addMoveAnimationWithKeyCoordinates:count:withDuration:withName:completeCallback:
| 添加移动动画, 第一个添加的动画以当前coordinate为起始点，沿传入的coordinates点移动，否则以上一个动画终点为起始点. since 4.5.0 Add a movement animation, the first added animation starts from the current coordinate and moves along the passed coordinates, otherwise it starts from the endpoint of the previous animation. since 4.5.0 More...
(MAAnnotationMoveAnimation *) | - addMoveAnimationWithKeyCoordinates:count:withDuration:withName:completeCallback:stepCallback:
| 添加移动动画, 第一个添加的动画以当前coordinate为起始点，沿传入的coordinates点移动，否则以上一个动画终点为起始点. since 5.4.0 Add a movement animation, the first added animation starts from the current coordinate and moves along the passed coordinates, otherwise it starts from the endpoint of the previous animation. since 5.4.0 More...
(NSArray< MAAnnotationMoveAnimation * > *) | - allMoveAnimations
| 获取所有未完成的移动动画, 返回数组内为MAAnnotationMoveAnimation对象. since 4.5.0 Retrieve all unfinished move animations, returning an array of MAAnnotationMoveAnimation objects. since 4.5.0 More...
(void) | - setNeedsStart
| 设置需要开始动画，自定义其他类型动画时需要调用. since 6.0.0 Settings require starting animation, which needs to be called when customizing other types of animations. since 6.0.0 More...
Instance Methods inherited from <MAOverlay>
(CLLocationCoordinate2D) | - coordinate
(MAMapRect) | - boundingMapRect
Instance Methods inherited from <MAAnnotation>
(void) | - setCoordinate:
| 设置标注的坐标，在拖拽时会被调用. Set the coordinates of the annotation, which will be called during dragging More...
Instance Methods inherited from <MAAnimatableAnnotation>
(void) | - step:
| 动画帧更新回调接口，实现者可在内部做更新处理，如更新coordinate. （since 4.5.0） Animation frame update callback interface, implementers can perform update processing internally, such as updating coordinates. （since 4.5.0） More...
(BOOL) | - isAnimationFinished
| 动画是否已完成. 通过此方法判断是否需要将动画annotation移出渲染执行过程。（since 4.5.0） Whether the animation has been completed. This method is used to determine whether the animation annotation needs to be removed from the rendering execution process.（since 4.5.0） More...
(BOOL) | - shouldAnimationStart
| 动画是否可以开始. 通过此方法判断是否需要将动画annotation加入渲染过程，已经start且尚未finish的动画标注才会调用step方法。（since 6.0.0） Whether the animation can start. This method determines whether the animation annotation needs to be added to the rendering process. Only animations that have started but not yet finished will call the step method.（since 6.0.0） More...
(CLLocationDirection) | - rotateDegree
| 动画更新时调用此接口，获取annotationView的旋转角度，不实现默认为0. （since 4.5.0） This interface is called when the animation is updated to get the rotation angle of the annotationView. If not implemented, it defaults to 0. （since 4.5.0） More...

## Properties
CLLocationDirection | movingDirection
Properties inherited from MAPointAnnotation
CLLocationCoordinate2D | coordinate
BOOL | lockedToScreen
CGPoint | lockedScreenPoint
Properties inherited from MAShape
NSString * | title
| 标题 Title More...
NSString * | subtitle
| 副标题 Subtitle More...
Properties inherited from MABaseOverlay
CLLocationCoordinate2D | coordinate
MAMapRect | boundingMapRect
double | altitude
Properties inherited from <MAAnnotation>
NSString * | title
NSString * | subtitle
double | altitude

## Additional Inherited Members
Protected Attributes inherited from MAShape
NSString * | _title
| 标题 Title More...
NSString * | _subtitle
| 副标题 Subtitle More...
Protected Attributes inherited from MABaseOverlay
double | _altitude
| 海拔 Elevation More...

## Detailed Description

支持动画效果的点标注 Point annotation with animation support

## Method Documentation

## ◆ addMoveAnimationWithKeyCoordinates:count:withDuration:withName:completeCallback:

- (MAAnnotationMoveAnimation *) addMoveAnimationWithKeyCoordinates: |  | (CLLocationCoordinate2D *) | coordinates
count: |  | (NSUInteger) | count
withDuration: |  | (CGFloat) | duration
withName: |  | (NSString *) | name
completeCallback: |  | (void(^)(BOOL isFinished)) | completeCallback

添加移动动画, 第一个添加的动画以当前coordinate为起始点，沿传入的coordinates点移动，否则以上一个动画终点为起始点. since 4.5.0 Add a movement animation, the first added animation starts from the current coordinate and moves along the passed coordinates, otherwise it starts from the endpoint of the previous animation. since 4.5.0

Parameters

  coordinates | c数组，由调用者负责coordinates指向内存的管理 C array, the caller is responsible for the management of the memory pointed to by coordinates
  count | coordinates数组大小 coordinates array size
  duration | 动画时长，0或<0为无动画 animation duration, 0 or <0 means no animation
  name | 名字，如不指定可传nil name, can pass nil if not specified
  completeCallback | 动画完成回调，isFinished: 动画是否执行完成 animation completion callback, isFinished: whether the animation is completed

## ◆ addMoveAnimationWithKeyCoordinates:count:withDuration:withName:completeCallback:stepCallback:

- (MAAnnotationMoveAnimation *) addMoveAnimationWithKeyCoordinates: |  | (CLLocationCoordinate2D *) | coordinates
count: |  | (NSUInteger) | count
withDuration: |  | (CGFloat) | duration
withName: |  | (NSString *) | name
completeCallback: |  | (void(^)(BOOL isFinished)) | completeCallback
stepCallback: |  | (void(^)(MAAnnotationMoveAnimation *currentAni)) | stepCallback

添加移动动画, 第一个添加的动画以当前coordinate为起始点，沿传入的coordinates点移动，否则以上一个动画终点为起始点. since 5.4.0 Add a movement animation, the first added animation starts from the current coordinate and moves along the passed coordinates, otherwise it starts from the endpoint of the previous animation. since 5.4.0

Parameters

  coordinates | c数组，由调用者负责coordinates指向内存的管理 C array, the caller is responsible for the management of the memory pointed to by coordinates
  count | coordinates数组大小 coordinates array size
  duration | 动画时长，0或<0为无动画 animation duration, 0 or <0 means no animation
  name | 名字，如不指定可传nil name, can pass nil if not specified
  completeCallback | 动画完成回调，isFinished: 动画是否执行完成 animation completion callback, isFinished: whether the animation is completed
  stepCallback | 动画每一帧回调 Animation frame callback

## ◆ allMoveAnimations

- (NSArray<MAAnnotationMoveAnimation*> *) allMoveAnimations |  |  |

获取所有未完成的移动动画, 返回数组内为MAAnnotationMoveAnimation对象. since 4.5.0 Retrieve all unfinished move animations, returning an array of MAAnnotationMoveAnimation objects. since 4.5.0

Returns
  返回所有移动动画，数组内元素类型为 MAAnnotationMoveAnimation Return all move animations, the elements in the array are of type MAAnnotationMoveAnimation

## ◆ setNeedsStart

- (void) setNeedsStart |  |  |

设置需要开始动画，自定义其他类型动画时需要调用. since 6.0.0 Settings require starting animation, which needs to be called when customizing other types of animations. since 6.0.0

## Property Documentation

## ◆ movingDirection

- (CLLocationDirection) movingDirection
| read write nonatomic assign

移动方向. 正北为0度，顺时针方向。即正东90，正南180，正西270。since 4.5.0 Movement direction. 0 degrees is true north, clockwise. That is, 90 degrees is east, 180 degrees is south, and 270 degrees is west. since 4.5.0

The documentation for this class was generated from the following file:

- MAAnimatedAnnotation.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。